Love Fuel?    Donate

FuelPHP Forums

Ask your question about FuelPHP in the appropriate forum, or help others by answering their questions.
Does Fuel still use phpseclib besides for legacy (en/de)cryption in Fuel v1.8.1+?
  • Poking through the code since the 1.8.1 update, it looks like phpseclib is only used in Crypt in case of legacy (en/dec)cryption/(en/de)coding needs. Is this correct?
  • Harro VertonHarro Verton
    Accepted Answer
    Correct.
  • Thanks for the answer!

    So can it be assumed that in 1.9 and beyond phpseclib would be deprecated? And it would be encouraged to use sodium for any hashing, symmetric, and asymmetric encryption needs going forward?
  • Yes, it is much more secure, the old Crypt encryption could be broken with sufficient GPU power.

    And in PHP 7.2+, Sodium support it is built-in.
  • Its fixed I had not need to crypt, md5 filename is ok.

    ----

    hey, I just switched to 1.8.1 and I have:
    ERROR - 2018-06-07 10:57:11 --> Error - hex2bin() only expects hexadecimal characters in /opt/fuel-1.8.1/vendor/paragonie/sodium_compat/src/Core/Util.php on line 343

    I see in my code :
    \Crypt::encode it supposed to create the error ? I dont see any sodium replacement in doc ?

    thanks
  • Release docs haven't been updated online yet, so see https://fuelphp.com/dev-docs/classes/crypt/config.html

    And no, it is not supposed to do that, but without a backtrace it's difficult to pinpoint a cause.
  • thanks Harro

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion